$(function () {
    //创建数据库
    $("#startInstall").click(function insertDB() {
        if (confirm("确定需要安装么?")) {
            var obj = $(this);

            $.ajax({
                type: "POST",
                url: "/Install/Ajax/DataBase.ashx",
                data: { com: 'createdb', dbcon: $("#dbcon").val(), dbname: $("#dbname").val(), dbuser: $("#dbuser").val(), dbpw: $("#dbpw").val(), dbexist: obj.attr("exist") },
                datatype: "json",
                beforeSend: function (data, textStatus) {
                    obj.attr("disabled", true);
                    $("#next").attr("disabled", true);
                    $("#up").attr("disabled", true);
                    $(".log").html("安装开始...<br />");
                },
                success: function (data, textStatus) {
                    if (data == "1") {
                        $(".log").append("创建数据库成功!<br />");
                        CreateTable(0, obj.attr("dbname"));
                    } else {
                        $(".log").append("创建数据库失败!");
                        $("#next").attr("disabled", true);
                    }
                },
                error: function (XMLHttpRequest, textStatus, errorThrown) { alert(errorThrown); }
            })
        }
    })
    //创建数据库表
    function CreateTable(i) {
        var obj = $(this);
        $.ajax({
            type: "POST",
            url: "/Install/Ajax/DataBase.ashx",
            data: { com: 'createtable', index: i, dbname: $("#dbname").val() },
            datatype: "json",
            beforeSend: function (data, textStatus) {
                if (i == 0) {
                    $(".log").append("开始安装表结构...<br />");
                }
            },
            success: function (data, textStatus) {
                var json = eval(data);
                if (json[0].status == "1") {
                    $(".log").append(json[0].name + " <span class=\"Q\">成功</span><br />");
                    CreateTable(json[0].index);
                    Speed(parseInt(json[0].speed), 1);
                } else if (json[0].status == "0") {
                    $(".log").append(json[0].name + " <span class=\"R\">失败</span><br />");
                    CreateTable(json[0].index);
                    Speed(parseInt(json[0].speed), 0);
                } else {
                    $("#insertDB").attr("href", "SiteConfig.aspx");
                    $(".log").append("安装结束<br />");
                    $("#next").attr("disabled", false);
		    if($("#failure").text()!="0"){
			$("#up").attr("disabled", false);
		    }
                    Speed(100);
                    return false;
                }

            },
            error: function (XMLHttpRequest, textStatus, errorThrown) { alert(errorThrown); }
        })
    }



    //进度条
    function Speed(i, status) {
        $(".speed").css("width", i + "%");
        $("#complete").html(i + "%");
        $(".log").scrollTop(1084);
        if (status != null) {
            if (status == "0") {
                $("#failure").text(parseInt($("#failure").text()) + 1);
            } else {
                $("#success").text(parseInt($("#success").text()) + 1);
            }
        }
    }

    //下一步
    $("#next").click(function () {
        if ($("#complete").text() != "100%") {
            alert("数据库未完成安装，不能进行下一步");
        } else {
            location.href = "SiteConfig.aspx";
        }
    })

    if ($(".inputbox span[class='R']").length>1) {
        $("#startInstall").attr("disabled", true);
        $("#next").attr("disabled", true);
    }

})